import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A goal.
 * Does nothing, when a player hits this they advance to the next level.
 * Takes the appearance of a sun.
 */
public class Goal extends Actor
{

    /**
     * Set the image for the goal.
     * @param world the world the goal has been added to.
     */
    public void addedToWorld(World world)
    {
        setImage("images/sun.png");
    }
    
    /**
     * Slowly rotate the goal.
     */
    public void act()
    {
        setRotation(getRotation()+1);
    }
       
}
