import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;

/**
 * Displays some form of label or text.
 * 
 * @author Michael Berry
 * @version 19/07/08
 */
public class Text extends Actor
{

    /**
     * Create some new text
     * @param world the world the actor is being added to
     */
    public void addedToWorld (World world)
    {
        setImage(new GreenfootImage(150, 60));
        getImage().setFont(new Font("Comic Sans MS", Font.BOLD, 15));
    }

    /**
     * Changes the text on the display
     */
    public void setText(String s)
    {
        getImage().clear();
        getImage().drawString(s, 15, 15);
    }
}
